Classes | Namespaces | Typedefs
CgiEnvironment.h File Reference

Class encapsulating the CGI runtime environment. More...

`#include <string>`
`#include <vector>`
`#include <cstdlib>`
`#include "CgiDefs.h"`
`#include "CgiUtils.h"`
`#include "CgiInput.h"`
`#include "HTTPCookie.h"`

Go to the source code of this file.

## Classes
class | cgicc::CgiEnvironment
| Class encapsulating the CGI runtime environment. More...

## Namespaces
namespace | cgicc
| The namespace containing the cgicc library.

## Typedefs
typedef std::vector< HTTPCookie >::iterator | cgicc::cookie_iterator
| A vector of HTTPCookie objects. More...
typedef std::vector< HTTPCookie >::const_iterator | cgicc::const_cookie_iterator
| A vector of `const` HTTPCookie objects. More...

## Detailed Description

Class encapsulating the CGI runtime environment.

The `CgiEnvironment` class encapsulates the environment of the CGI application as described by the HTTP server. `CgiEnvironment` contains the `GET` or `POST` data along with all environment variables set by the HTTP server specified in the CGI specification.

Definition in file CgiEnvironment.h.